#define USE_DEFAULT_PIX_ATLAS
#include "../../base.shader"

float4 _colorFluctuate;
float _fluctuateInterval;

VERT_OUTPUT_ATLAS vert(in VERT_INPUT_ATLAS input)
{
	VERT_OUTPUT_ATLAS output;
	output.location = mul(input.location, _transform);
	output.color = input.color + sin(_time * 2 * PI / _fluctuateInterval) * _colorFluctuate;
	output.uv = getAnimatedUVsLooping(input.animInfo);
	output.modUV = input.modUV;
	output.modFactor = input.modFactor;
	return output;
}